Module java.desktop
Package javax.swing

## Class ToolTipManager.insideTimerAction

- java.lang.Object
- - javax.swing.ToolTipManager.insideTimerAction

- All Implemented Interfaces:
    `ActionListener`, `EventListener`
  Enclosing class:
    ToolTipManager

      protected class ToolTipManager.insideTimerAction
      extends Object
      implements ActionListener

  Inside timer action.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `insideTimerAction​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(ActionEvent e)` | Invoked when an action occurs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### insideTimerAction

          protected insideTimerAction​()

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed​(ActionEvent e)

      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `ActionListener`
      Parameters:
        `e` - the event to be processed